Subject: Re: [Mip6] [Re] AD review of mipshop-fh80216e

From: Jari Arkko <[email-masked]>
Date: Sun, 20 Jan 2008 19:06:05 +0200

Heejin,

>> I have done my AD review on this document. I have the following comments:
>>
>> 1. The document needs to be clearer about when FMIP procedures are
>> needed upon link change, and when not. Section 5.2, for instance, says
>> "On receiving the LHI, the IP layer sends an FBU to the PAR." But this
>> appears to be necessary only if the FMIP operations (proxy router
>> solications) indicate that a router and subnet change is implied by the
>> access point change. Same in Section 5.3.
>>
>>     
>
> Ok, I think that the unclearness results from omitting some descriptions about
> MN's past and current status in the FMIPv6 procedures when the MN
> receives primitives. We'll clearly mention it during the next
> revision.
>   

Ok, good.

>> 2. The spec needs to document how it deals with the issues from RFC 4907
>> Section 2.
>>     
>
> Ok. We'll see RFC4907 and and describe in the draft how it will deal
> those issues.
>   

Ok.

>> 3. Has there been review in 802.16, 802.21, Wimax Forum, or 16ng WGs?
>>     
>
> As Vijay answered, the draft has been reviewed by 16ng experts and
> went through a Mipshop & 16ng joint WGLC. During 16ng review, a 16ng
> chair made it reviewed by other SDO participants, IEEE 802.21
> (Yoshihiro Ohba), WiMax Forum (Jinhyeock Choi) (and also Netlmm WG
> (Jonne Soininen)) . We also consult a 802.21 secretary (Xiaoyu Liu) to
> be sure of the use of proper MIH primitives.
>   

All good.

> Do you think that the draft needs to be reviewed by SDOs more before Last call?
>   

No, not before Last Call.

>> 4. Can you confirm that 802.21 LD is given even for neighboring, scanned
>> links? I.e., even if you still are on your current link, you will an LD
>> if another cell is heard nearby?
>>     
>
> In my understanding, yes. Usually the wireless device such as WLAN
> card can detect the neighboring links though it still on the current
> link if the neighboring links are using same wireless technology. For
> e.g., in IETF meeting, we can see multiple APs except the AP used
> currently.
>   

Ok. But I was not merely looking at what usually happens, the question
was specifically about the 802.16e link layer (or 802.21 if it helps you
here).
Will it provide a Link Detected, even when you have NOT changed to that
link yet?

Text in Section 5.1, for instance, relies on this happening.

> I'm not sure I got the point of this question .
>
>   
>> 5. What is "secure IP address management in 802.16e", mentioned in the
>> security considerations? I am surprised to hear of this, as no mention
>> of it has appeared in 16ng WG work.
>>     
>
> "Particularly, the 802.16e architecture supports a number of mandatory
> authentication mechanisms, for example, EAP-TTLS, EAP-SIM and EAP-AKA,
> as well as, secure IP address management between the MN and its
> network entity." in the draft.
>
> This sentence means that 802.16e architecture (may) support the secure
> IP address management between MN & AR (ASN-GW) which is described in
> 5.3 (security) of WiMAX release 1.1.2 document. However, the sentence
> is not clear and confusable because secure IP address management can
> be supported in WiMAX system not in 802.16e. We will revise it this
> sentence during the revision.
>   

Ok. I'm OK with having network access authentication such as TTLS etc.
But they do not normally provide any form of secure IP address
management. There might be other functions (such as source address
spoofing prevention tied to L2) that do this, however.

Waiting for the revised sentence.

Jari

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6